import object, form
from base import *

class Group(object.Object):
    def __init__(self,name=None,value=None):
        object.Object.__init__(self)
        self.name = name
        if hasattr(form.Form,'form') and form.Form.form != None: 
            form.Form.form.add(self)
            self.form = form.Form.form
        self.value = value
        self.widgets = []
    
    def add(self,w):
        self.widgets.append(w)
    
    def __setattr__(self,k,v):
        _v = self.__dict__.get(k,NOATTR)
        self.__dict__[k] = v
        if k == 'value' and _v != NOATTR and _v != v:
            self._change()
    
    def _change(self):
        self.send(CHANGE)
        for w in self.widgets:
            w.repaint()
