"""
Script for building the example.

Usage:
    python setup.py py2app
"""
from distutils.core import setup
import os


NAME = 'slideshowviewer'
VERSION = '0.1'

plist = dict(
    CFBundleIconFile=NAME,
    CFBundleName=NAME,
    CFBundleShortVersionString=VERSION,
    CFBundleGetInfoString=' '.join([NAME, VERSION]),
    CFBundleExecutable=NAME,
    CFBundleIdentifier='org.pyar.slideshowviewer',
)


try:
    import py2app
    setup(
        data_files=[],
        app=[
        dict(script="slideshowviewer.py", plist=plist ),
        ],
    )
except ImportError:
    pass

try:
    import py2exe

   
    setup(console=["slideshowviewer.py"], 
        data_files = [])

except ImportError:
    pass



